- Qt 5.5
- Qt3D Module
- C++ Classes
- SyncTaskRunnable
- Qt 5.5.1 Reference Documentation

# SyncTaskRunnable Class

(Qt3D::SyncTaskRunnable)

Inherits: | RunnableInterface

- List of all members, including inherited members

## Public Functions

| SyncTaskRunnable(QAbstractAspectJobManager::JobFunction func, void * arg, QAtomicInt * atomicCount)
| ~SyncTaskRunnable()

## Reimplemented Public Functions

virtual DependencyHandler * | dependencyHandler()
virtual int | id()
virtual bool | reserved()
virtual void | run()
virtual void | setDependencyHandler(DependencyHandler * handler)
virtual void | setId(int id)
virtual void | setPooler(QThreadPooler * pooler)
virtual void | setReserved(bool reserved)

- 8 public functions inherited from Qt3D::RunnableInterface

## Member Function Documentation

### SyncTaskRunnable::SyncTaskRunnable(QAbstractAspectJobManager::JobFunction func, void * arg, QAtomicInt * atomicCount)

### SyncTaskRunnable::~SyncTaskRunnable()

### `[virtual]` DependencyHandler * SyncTaskRunnable::dependencyHandler()

See also setDependencyHandler().

### `[virtual]` int SyncTaskRunnable::id()

See also setId().

### `[virtual]` bool SyncTaskRunnable::reserved()

See also setReserved().

### `[virtual]` void SyncTaskRunnable::run()

### `[virtual]` void SyncTaskRunnable::setDependencyHandler(DependencyHandler * handler)

See also dependencyHandler().

### `[virtual]` void SyncTaskRunnable::setId(int id)

See also id().

### `[virtual]` void SyncTaskRunnable::setPooler(QThreadPooler * pooler)

### `[virtual]` void SyncTaskRunnable::setReserved(bool reserved)

See also reserved().